<?php

if (!defined('ABSPATH')) {
    exit;
}


$location_picker_default_state = 'enable';
if (get_option('sg_enable_picker_billing', '') !== '' && get_option('sg_enable_picker_shipping', '') !== '') {
    $location_picker_default_state = (get_option('sg_enable_picker_billing') === 'yes') ? 'enable_billing' : 'disable';
    if ($location_picker_default_state === 'disable') {
        $location_picker_default_state = (get_option('sg_enable_picker_shipping') === 'yes') ? 'enable_shipping' : 'disable';
    } else {
        $location_picker_default_state = (get_option('sg_enable_picker_shipping') === 'yes') ? 'enable' : 'disable';
    }
    delete_option('sg_enable_picker_billing');
    delete_option('sg_enable_picker_shipping');
}
$new_settings = array(
    array(
        'id'   => "sg_tab_main",
        'type' => "title",
        'name' => __('Sg Woocommerce Checkout Location Picker', 'sg-checkout-location-picker'),
        'desc' => __('Add Sg Woocommerce checkout location picker Settings below', 'sg-checkout-location-picker')
    ),
    array(
        'id'    => "sg_enable_picker",
        'type'  => "select",
        'name'  => __('Enable Location Picker', 'sg-checkout-location-picker'),
        'options'   => array(
            'disable'   => __('Disable', 'sg-checkout-location-picker'),
            'enable_billing'    => __('Enable for billing', 'sg-checkout-location-picker'),
            'enable_shipping'   => __('Enable for shipping', 'sg-checkout-location-picker'),
            'enable'    => __('Enable for billing & Shipping', 'sg-checkout-location-picker'),
        ),
        'default'   => $location_picker_default_state
    ),

    array(
        'id'    => "sg_google_api",
        'type'  => "text",
        'name'  => __('Google API', 'sg-checkout-location-picker'),

    ),
    array(
        'id'    => "sg_map_title_for_billing",
        'type'  => "text",
        'name'  => __('Label for billing map area', 'sg-checkout-location-picker'),
        'desc'  => __('This title displays the billing map section. Leave it blank to hide', 'sg-checkout-location-picker'),
        'desc_tip'  => true,
    ),

    array(
        'id'    => "sg_map_title_for_shipping",
        'type'  => "text",
        'name'  => __('Label for shipping map', 'sg-checkout-location-picker'),
        'desc'  => __('This title displays the shipping map section. Leave it blank to hide', 'sg-checkout-location-picker'),
        'desc_tip'  => true,
    ),

    array(
        'id'    => "sg_enable_maplink_admin_email",
        'type'  => "checkbox",
        'name'  => __('Location data on admin email', 'sg-checkout-location-picker'),
        'desc'  => __('Send user submitted longitude/latitude data on new admin order email', 'sg-checkout-location-picker'),

    ),
    array(
        'id'    => "sg_hide_picker_fields",
        'type'  => "checkbox",
        'name'  => __('Show map only', 'sg-checkout-location-picker'),
        'desc'  => __('Hide latitude/longitude text field from checkout page.', 'sg-checkout-location-picker'),
        'desc_tip'  => false
    ),

    array(
        'id'    => "sg_eneble_autodetect_user_location",
        'type' => "checkbox",
        'name' => __('Detect user location on loading', 'sg-checkout-location-picker')
    ),

    array(
        'id'    => "sgclp_detect_button_label",
        'type' => "text",
        'name' => __('Show detect current location button', 'sg-checkout-location-picker'),
        'default' => __('detect current location', 'sg-checkout-location-picker'),
        'desc'    => __('If field is empty, But will be hidden. Default value is "detect current location"'),
        'desc_tip'    => true,

    )
);
$settings = array_merge($settings, $new_settings);
