<?php

/**
 * Plugin Name:          Sg Checkout Location Picker for WooCommerce
 * Plugin URI:           https://sevengits.com/plugin/sg-checkout-location-picker-pro/
 * Description:          Sg Checkout Location Picker for WooCommerce  help customers to pin point their geo location on map in woocommerce checkout page.
 * Version:              1.0.24
 * Author:               Sevengits
 * Author URI:           https://sevengits.com/plugin/sg-checkout-location-picker-pro/
 * WC requires at least: 3.7
 * WC tested up to: 	 9.4
 * Requires Plugins: woocommerce
 * License:             GPL-2.0+
 * License URI:         http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       	sg-checkout-location-picker
 * Domain Path:      	/languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}


/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
if (!defined('SG_CHECKOUT_LOCATION_PICKER_VERSION')) {
	define('SG_CHECKOUT_LOCATION_PICKER_VERSION', '1.0.24');
}
// Used for referring to the plugin file or basename
if (!defined('SGITSCLP_BASE')) {
	define('SGITSCLP_BASE', plugin_basename(__FILE__));
}


/**
 * Function for ensure hpos compatible
 */
add_action('before_woocommerce_init', 'woom_hpos_check');
function woom_hpos_check()
{
	if (class_exists(\Automattic\WooCommerce\Utilities\FeaturesUtil::class)) {
		\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility('custom_order_tables', __FILE__, true);
	}
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-sg-checkout-location-picker-activator.php
 */
function activate_sg_checkout_location_picker()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-sg-checkout-location-picker-activator.php';
	Sg_Checkout_Location_Picker_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-sg-checkout-location-picker-deactivator.php
 */
function deactivate_sg_checkout_location_picker()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-sg-checkout-location-picker-deactivator.php';
	Sg_Checkout_Location_Picker_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_sg_checkout_location_picker');
register_deactivation_hook(__FILE__, 'deactivate_sg_checkout_location_picker');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-sg-checkout-location-picker.php';
require plugin_dir_path(__FILE__) . 'plugin-deactivation-survey/deactivate-feedback-form.php';

add_filter('sgits_deactivate_feedback_form_plugins', 'sgits_deactivate_feedback');
function sgits_deactivate_feedback($plugins)
{
	$plugins[] = (object)array(
		'slug'		=> 'sg-checkout-location-picker',
		'version'	=> SG_CHECKOUT_LOCATION_PICKER_VERSION
	);
	return $plugins;
}

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_sg_checkout_location_picker()
{
	$pluginList = get_option('active_plugins');
	$plugin = 'woocommerce/woocommerce.php';
	if (in_array($plugin, $pluginList)) {
		$plugin = new Sg_Checkout_Location_Picker();
		$plugin->run();
	}
}
run_sg_checkout_location_picker();
